global load_idt

; load_idt - Loads the interrupt descriptor table (IDT).
; stack: [esp + 4] the address of the first entry in the IDT
;        [esp]    the return address

load_idt:
    mov ax, [esp + 4]      ; Load the address of the first IDT entry into ax
    lidt [eax]             ; Load the IDT using the address stored in eax
    ret                    ; Return to the caller

